Skip to main content
POST
/
v1
/
media
/
frame_translate
cURL
curl --request POST \
  --url https://api.vozo.ai/v1/media/frame_translate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_url": "<string>",
  "source_language": "<string>",
  "target_language": "<string>",
  "glossary_ids": [
    "<string>"
  ],
  "user_prompt": "<string>",
  "callback_url": "<string>"
}
'
import requests

url = "https://api.vozo.ai/v1/media/frame_translate"

payload = {
"video_url": "<string>",
"source_language": "<string>",
"target_language": "<string>",
"glossary_ids": ["<string>"],
"user_prompt": "<string>",
"callback_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_url: '<string>',
source_language: '<string>',
target_language: '<string>',
glossary_ids: ['<string>'],
user_prompt: '<string>',
callback_url: '<string>'
})
};

fetch('https://api.vozo.ai/v1/media/frame_translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
{
"code": "<string>",
"message": "<string>",
"serverTs": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API Key. The token in the sample code is referring to this api_key as well.

Body

application/json
video_url
string
required

Publicly accessible URL of the input video for the server to download. Maximum supported input duration is 20 minutes.

source_language
string
required

Source language code. Auto detection is not supported; pass a supported language code such as en-US or zh-CN.

Pattern: ^[a-z]{2,3}(-[A-Za-z0-9]+)*$
target_language
string
required

Target language code. Locale is optional and may include regional variants, e.g. en, en-US, zh, zh-CN, zh-CN-GUANGXI. Only the language part is validated against the supported list.

Pattern: ^[a-z]{2,3}(-[A-Za-z0-9]+)*$
glossary_ids
string[]

List of glossary IDs from the product. Up to 3 glossaries can be applied during translation for consistent terminology.

Maximum array length: 3
user_prompt
string

Optional prompt to guide visual text translation style.

project_mode
enum<string>

Controls project creation behavior in the web dashboard. editable creates an editable visual translation project; none disables project creation.

Available options:
none,
editable
callback_url
string

Webhook callback URL for status changes.

Response

Job queued

task_id
string
required

ID of the visual translation task.

Last modified on July 9, 2026